> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询永续合约账户

> 查询永续合约账户信息

查询永续合约账户信息。


## OpenAPI

````yaml openapi/perpdex.yaml GET /dex_futures/{settle}/accounts
openapi: 3.0.3
info:
  title: DexBuilder PerpDEX API
  version: 1.0.0
  description: DexBuilder PerpDEX REST API。
servers:
  - url: https://api.dexbuilder.com/api/v1
    description: DexBuilder PerpDEX REST API
security:
  - DexBuilderKey: []
    DexBuilderTimestamp: []
    DexBuilderSignature: []
tags:
  - name: 行情
    description: 永续合约公开行情与市场数据
  - name: 风险数据
    description: 风险限额与市场强平数据
  - name: 账户
    description: 账户与费率
  - name: 持仓
    description: 持仓查询与管理
  - name: 订单
    description: 订单、成交与批量交易
paths:
  /dex_futures/{settle}/accounts:
    get:
      tags:
        - 账户
      summary: 查询永续合约账户
      description: 查询永续合约账户信息。
      operationId: getPerpAccount
      parameters:
        - $ref: '#/components/parameters/Settle'
      responses:
        '200':
          description: 查询成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Account'
components:
  parameters:
    Settle:
      name: settle
      in: path
      required: true
      description: 结算币种
      schema:
        type: string
        enum:
          - usdt
      example: usdt
  schemas:
    Account:
      type: object
      properties:
        user:
          type: integer
          format: int64
          description: 用户 ID
        currency:
          type: string
          description: 结算币种
        total:
          type: string
          description: 账户权益
        unrealised_pnl:
          type: string
          description: 未实现盈亏
        position_margin:
          type: string
          description: 持仓保证金
        order_margin:
          type: string
          description: 委托保证金
        available:
          type: string
          description: 可用余额
        in_dual_mode:
          type: boolean
          description: 是否为双向持仓模式
        cross_available:
          type: string
          description: 全仓可用余额
        cross_margin_balance:
          type: string
          description: 全仓保证金余额
      additionalProperties: true
  securitySchemes:
    DexBuilderKey:
      type: apiKey
      in: header
      name: KEY
      description: DexBuilder API Key
    DexBuilderTimestamp:
      type: apiKey
      in: header
      name: Timestamp
      description: Unix 时间戳（秒），与当前时间差不得超过 60 秒
    DexBuilderSignature:
      type: apiKey
      in: header
      name: SIGN
      description: 使用 API Secret 对签名字符串执行 HMAC-SHA512 后的十六进制签名

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.